%global checkout 20111121svn

Summary: Driver for QPDL/SPL2 printers (Samsung and several Xerox printers)
Name: splix
Version: 2.0.1
Release: 0.3.%{checkout}%{?dist}
License: GPLv2
Group: System Environment/Base
URL: http://splix.sourceforge.net/

# This is a SVN snapshot downloaded via
# http://splix.svn.sourceforge.net/viewvc/splix/splix/?view=tar
# and renamed to follow naming guidelines
Source0: splix-%{version}.%{checkout}.tar.gz

# Don't strip symbols out of the binaries so the debuginfo can be created
Patch0:  splix-nostrip.patch

Requires: cups

# _cups_serverbin macro
BuildRequires: cups-devel

# postscriptdriver tags
BuildRequires: python-cups

%description
This driver is usable by all printer devices which understand the QPDL
(Quick Page Description Language) also known as SPL2 (Samsung Printer Language)
language. It covers several Samsung, Xerox and Dell printers.
Splix doesn't support old SPL(1) printers.

%prep
%setup -q -n splix
# some files have wrongly set executable bit
chmod -x include/algo0x0d.h
chmod -x include/algo0x0e.h
chmod -x src/algo0x0e.cpp
chmod -x ppd/po/pt.po

%patch0 -p1 -b .nostrip


%build
# remove DISABLE_JBIG=1 once jbigkit is shipped with Fedora (i.e. after April 2012)
DISABLE_JBIG=1 \
V=1 \
CXXFLAGS="%{optflags} -fno-strict-aliasing" \
make %{?_smp_mflags}


%install
# remove DISABLE_JBIG=1 once jbigkit is shipped with Fedora (i.e. after April 2012)
DISABLE_JBIG=1 \
DESTDIR=%{buildroot} \
make install


%files
%doc COPYING AUTHORS ChangeLog THANKS
%{_cups_serverbin}/filter/pstoqpdl
%{_cups_serverbin}/filter/rastertoqpdl
%{_datadir}/cups/model/dell
%{_datadir}/cups/model/lexmark
%{_datadir}/cups/model/samsung
%{_datadir}/cups/model/toshiba
%{_datadir}/cups/model/xerox

%changelog
* Tue Nov 22 2011 Jiri Popelka <jpopelka@redhat.com> - 2.0.1-0.3.20111121svn
- Include more files into documentation (#755069).

* Mon Nov 21 2011 Jiri Popelka <jpopelka@redhat.com> - 2.0.1-0.2.20111121svn
- Download only trunk from upstream SVN repository.

* Fri Nov 18 2011 Jiri Popelka <jpopelka@redhat.com> - 2.0.1-0.1.20111118svn
- initial spec